body {
  margin: 0;
	font-family:  Arial, Helvetica, san-serif;
	background-color: white;
}

html, body {
	background: white;
	font-family:  Arial, Helvetica, san-serif;
	margin: 0;
	padding: 0;
}

* {
	box-sizing: border-box;
}

/* CONTAINERS */

.page_container {
	position: fixed; /* Stay in place */
	border: 0px solid green;
	width: 100%;
	height: 100%;
	margin: 0;
  	top: 0;
	left: 0;
	background-color: #D8D8D8;
}

.main_container {
	position: relative;
	border: 0px solid red;
	width: 100%;
	max-width: 960px;
	height: 100%;
	margin: auto;
  	top: 0;
}

.body_container {
	position: absolute;
	border: 10px solid black;
	width: 100%;
	height:90%;
	left: 0;
	top: 10%;
  	background-image: linear-gradient(#8181F7, #F5D0A9);
}

.title_container {
	position: absolute;
	border: none;
	width: 100%;
	height:10%;
	top: 0;
	left:0;
	background: #0B0B61;
	font-size: 24pt;
	color: white;
	padding-left: 45px;
	text-shadow: 2px 2px 4px #000000;
}

.instruction_container {
	width: 100%;
	height: 50px;
	margin-bottom: 10px;
	border: 0px solid  red;
}

.table {
	margin: auto;
	width: 100%;
	
}

/* TOP ROW */
.arrow {
	position: absolute;
	top: 25px;
	border: solid white;
	border-width: 0 4px 4px 0;
	display: inline-block;
	padding: 8px;
	text-decoration; none;
	cursor: pointer;
}

.arrow:hover {
  	text-decoration: none;
  	cursor: pointer;
}

.left {
	transform: rotate(135deg);
	-webkit-transform: rotate(135deg);
}

#title {
	background: #0000FF;
	height: 100%;
	font-size: 24pt;
	color: white;
	padding-top: 14px;
	padding-bottom: 14px;
	padding-left: 45px;
	text-align: left;
}

#instruction {
	height: 25px;
	font-size: 25px;
	color: #848484;
	text-align: center;
	padding-top: 20px;
	padding-bottom: 40px;
	padding-left: 0px;
	padding-right: 0px;
	visibility: hidden;

}

/* Set a style for all buttons */
button {
  background-color: #04AA6D;
  color: white;
  padding: 14px 20px;
  margin: 8px 0;
  border: none;
  cursor: pointer;
  width: 100%;
  opacity: 0.9;
}

.homepage_button {
  background-color: blue;
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
}

#results_button, #rules_button {
  background-color: #0B0B61;
  color: white;
  padding: 10px;
  padding-bottom: 5px;
  text-align: center;
  text-decoration: none;
  font-size: 20px;
  margin-top: 15px;
  margin-right: 30px;
  cursor: pointer;
  float: right;
}

.practice {
  background-color: #0B0B61;
  color: yellow;
  padding: 10px;
  padding-bottom: 5px;
  text-align: center;
  font-size: 20px;
  margin-top: 15px;
  margin-right: 30px;
  float: right;
  display: block;
}

.pm {
	display: none;
}

#results_button:hover, #rules_button:hover {
  color: #DBA901;
  background-color: #0B0B61;
}

.horizontal_space {
	height: 3%;
}

.vertical-center {
	margin: 0;
	position: absolute;
	top: 50%;
	left: 160px;
	-ms-transform: translateY(-50%);
	transform: translateY(-50%);
}

.vertical-centerPM {
	color: yellow;
	margin: 0;
	position: absolute;
	top: 50%;
	left: 160px;
	-ms-transform: translateY(-50%);
	transform: translateY(-50%);
}

#confirm_button, .confirm_button {
	display: none;
	text-align: center;
	border: 1px solid black;
  	font-size: 25px;
  	padding: 10px;
  	padding-top: 5px;
  	padding-bottom: 5px;
  	color: black;
  	border-radius: 10px;
	margin-top: 7px;
        transition-duration: 0.4s;
	margin-right: 8px;
}

#undo_button,  .undo_button  {
	display: none;
	text-align: center;
	border: 1px solid black;
  	font-size: 25px;
  	padding: 10px;
  	padding-top: 5px;
  	padding-bottom: 5px;
  	color: black;
  	border-radius: 10px;
	margin-top: 12px;
        transition-duration: 0.4s;
	margin-left: 8px;
}

#confirm_button:hover {
  	background-color: #4CAF50;
	border: 1px solid #4CAF50;
	color: white;
	cursor: pointer;
	box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24),0 17px 50px 0 rgba(0,0,0,0.19)
}

#undo_button:hover {
  	background-color: #DF0101;
	border: 1px solid #DF0101;
	color: white;
	cursor: pointer;
	box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24),0 17px 50px 0 rgba(0,0,0,0.19);
}

/* COUNTER TABLE */
.square {
   	width: 96px;
	height: 96px;
	padding: 10px;
	padding-bottom: 35px;
	border: 1px solid red;
	display: inline-block;
	visibility: hidden;
	float: left;	
}
.coincontainer {
   	width: 96px;
	height: 96px;
	padding: 10px;
	border: 0px solid red;
	display: inline-block;
	float: left;
}

#coin_btn, .coin_button {
	width: 38px;
	height: 76px;
	border: 1px solid black;
	display: inline-block;
	float: left;
	margin-top: 5px;
	text-align: center;
	font-weight: bold;
	border-radius: 15px;
	padding-top: 25px;
	color: black;
	visibility: hidden;
        transition-duration: 0.4s;	
}

.coin_button:hover, .btm-coin_button:hover, .confirm_button:hover, .undo_button:hover {
	background-color: #4CAF50;
	border: 1px solid #4CAF50;
	color: white;
	cursor: pointer;
	box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24),0 17px 50px 0 rgba(0,0,0,0.19);
}

.coin_button_blank {
	width: 38px;
	height: 76px;
	border: 0px solid green;
	display: inline-block;
	float: left;
	margin-top: 10px;
	text-align: center;
	font-weight: bold;
	border-radius: 20px;
	padding-top: 30px;
}

div.coin_img {
  float: left;
  width: 100%;
  height: auto;
  object-fit: cover;
}


/* ROW BUTTONS */
.row_button {
	width: 38px;
	height: 76px;
	padding: 5px;
	border: 1px solid black;
	color: black;
	display: inline-block;
	float: left;
	margin: 0px;
	text-align: center;
	border-radius: 15px;
	padding-top: 15px;
	visibility: hidden;
        transition-duration: 0.4s;
}

.row_button:hover {
	color: white;
	background-color: #4CAF50;
	border: 1px solid #4CAF50;
	cursor: pointer;
	box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24),0 17px 50px 0 rgba(0,0,0,0.19);
}

.row_button_blank {
	width: 38px;
	height: 76px;
	padding: 20px;
	background-color: #D8D8D8;
	border: 0px solid #D8D8D8;
	display: none;
	float: left;
	margin-top: 20px;
	text-align: center;
	border-radius: 20px;
	padding-top: 10px;
}

.btm-blank_space {
	display: none;
}

.btm-coin_button {
	display: none;
}

.btm-buttons {
	display: none;
}

/* FORMS SPACES BETWEEN */
.blank_space {
	width: 38px;
	height: 96px;
	padding: 10px;
	border: 0px solid red;
	display: inline-block;
	float: left;
	visibility: visible;
}

.blank {
	height: 76px;
	width: auto;
	border: 0px solid black;
}

/* BOTTOM ROW */
 #player1_button  {
	font-size: 20px;
	padding: 10px 30px;
	border: 3px solid #D8D8D8;
	background-color: #0D8139;
	color: white;
	text-align: center;
	border-radius: 30px;
	visibility: hidden;
	margin-left: 70px;
	margin-right: 70px;
	margin-top: 20px;
}

 #player2_button {
	font-size: 20px;
	padding: 10px 30px;
	border: 3px solid #D8D8D8;
	background-color: white;
	color: #FF4000;
	text-align: center;
	border-radius: 30px;
	visibility: hidden;
	margin-left: 70px;
	margin-right: 70px;
	margin-top: 20px;
}

.start_button {
	display: block;
	font-size: 20px;
	padding: 10px 30px;
	border: none;
	border-radius: 15px;
	background-color: #4CAF50;
	color: white;
	text-align: center;
	margin: auto;
	-webkit-transition-duration: 0.4s;
	transition-duration: 0.4s;
	box-shadow: 20px 20px 50px 10px #04B431 inset;
	margin-top: 20px;
	width: 150px;
}

.resign_button {
	font-size: 20px;
	padding: 10px 30px;
	border: none;
	border-radius: 15px;
	background-color: #848484;
	color: white;
	text-align: center;
	-webkit-transition-duration: 0.4s;
	transition-duration: 0.4s;
	display: none;
	margin-top: 20px;
}

.resign_button:hover {
	background-color: #DF0101;
	box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24),0 17px 50px 0 rgba(0,0,0,0.19);
	cursor: pointer;
}	

 .start_button:hover {
	box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24),0 17px 50px 0 rgba(0,0,0,0.19);
	cursor: pointer;

}

/* MODALS */
    h1 {
      text-align: center;

    }

.winner {
	font-size: 70px;
	color: #FF8000;
	font-weight: bold;
	text-shadow: 4px 4px 8px #000000;
	padding-top: 10px;
	text-align: center;
}

#canvas {
	display: none;
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
}

    #coin {
      position: relative;
      margin: 0 auto;
      width: 100px;
      height: 100px;
       transition: transform 1s ease-in;
      transform-style: preserve-3d;
    }
    .side {
      width: 100%;
      height: 100%;
      border-radius: 50%;
      position: absolute;
      backface-visibility: hidden;
    }
    .head {
      z-index: 10;
    }
    .tail {
      transform: rotateX(-180deg); 
    }

    .flipHead {
      animation: resultHead 2s ease-out forwards;
    }
    .flipTail {
      animation: resultTail 2s ease-out forwards;
    }

    @keyframes resultHead {
      from {
        transform: rotateX(0);
      }
      to {
        transform: rotateX(1800deg);
      }
    }

    @keyframes resultTail {
      from {
        transform: rotateX(0);
      }
      to {
        transform: rotateX(-1980deg);
      }
    }

/* Float cancel and delete buttons and add an equal width */
.headsbtn, .tailsbtn {
  display: inline-block;
  width: 35%;
  margin-left: 3px;
  margin-right: 3px;
}

/* Add a color to the heads button */
.headsbtn {
  background-color: #848484;
  font-size: 20px;
  padding: 10px;
  color: white;
  border-radius: 15px;
  margin-bottom: 10px;
}

.heads_selected {
  background-color: #088A68;
  color: white;
  font-size: 22px;
  padding: 14px 20px;
  margin: 8px 0;
  border: 2px solid white;
  width: 100%;
  text-align: center;
  display: none;
}

.headsbtn:hover {
  	background-color: #4CAF50;
	box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24),0 17px 50px 0 rgba(0,0,0,0.19);
	cursor: pointer;
}

/* Add a color to the delete button */
.tailsbtn {
  background-color: #848484;
  font-size: 20px;
  padding: 10px;
  color: white;
  border-radius: 15px;
  margin-bottom: 10px;
}

.tails_selected {
  background-color: #088A68;
  font-size: 22px;
  padding: 14px 20px;
  margin: 8px 0;
  color: white;
  border: 2px solid white;
  width: 100%;
  text-align: center;
   display: none;
}

.tailsbtn:hover {
  	background-color: #4CAF50;
	box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24),0 17px 50px 0 rgba(0,0,0,0.19);
	cursor: pointer;
}

#call {
	font-weight: bold;
	padding-top: 10px;
	padding-bottom: 10px;
}

.continuebtn, .flipbtn, .gamebtn {
  width: 40%;
  margin: auto;
  background-color: #4CAF50;
  font-size: 20px;
  padding: 10px;
  color: white;
  border-radius: 15px;
  display: none;
  margin-bottom: 10px;
	box-shadow: 20px 20px 50px 10px #04B431 inset;
}

.continuebtn:hover, .flipbtn:hover, gamebtn:hover {
	background-color: #088A08;
	box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24),0 17px 50px 0 rgba(0,0,0,0.19);
	cursor: pointer;
}

/* Add padding and center-align text to the container */
.container {
  padding: 16px;
  font-size: 22px;
  text-align: center;
}

.container1 {
  text-align: center;
  border-radius: 15px;
}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.6); /* Black w/ opacity */
  padding-top: 50px;
}

.modal_lost {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.6); /* Black w/ opacity */
  padding-top: 50px;
}

.modal_won {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.6); /* Black w/ opacity */
  padding-top: 50px;
}

.modal_results {
	font-size: 14px;
	font-weight: bold;
	text-align: center;
}

/* Modal Content/Box */
.modal-content_stats {
  font-size: 16px;
  background-color: #fefefe;
  margin: 5% auto 15% auto; /* 5% from the top, 15% from the bottom and centered */
  border: 4px solid #DBA901;
  border-radius: 30px;
  width: 40%; /* Could be more or less, depending on screen size */
  text-align: center;
  overflow: hidden;
}

/* Modal Content/Box */
.modal-content {
  font-size: 16px;
  background-color: #fefefe;
  margin: 5% auto 15% auto; /* 5% from the top, 15% from the bottom and centered */
  border-radius: 10px;
  width: 35%; /* Could be more or less, depending on screen size */
  text-align: center;
}

.modal-headerfc {
	background: white;
	font-size: 18pt;
	color: #424242;
	padding-top: 10px;
	padding-bottom: 10px;
	text-align: center;
	margin-top: 0px;
}

.modal-header_stats {
	background: #585858;
	font-size: 20pt;
	color: white;
	padding-top: 16px;
	padding-bottom: 16px;
	margin-top: 0px;
	padding-left: 50px;
	border-top-left-radius: 27px;
	border-top-right-radius: 27px;
}

.modal-header {
	background: #585858;
	font-size: 20pt;
	color: white;
	padding-top: 16px;
	padding-bottom: 16px;
	margin-top: 0px;
	text-align: center;
}

.modal-body {
  font-size: 22px;
  padding: 20px;
  background-image: linear-gradient(#8181F7, #F5D0A9);
  color: black;
  border-bottom-left-radius: 27px;
  border-bottom-right-radius: 27px;
}

.modal-body_stats {
  font-size: 22px;
  padding: 10px;
  background-image: linear-gradient(#8181F7, #F5D0A9);
  color: black;
  text-align: center;
}

.modal-footer {
	background: #424242;
	font-size: 20pt;
	color: white;
	padding-top: 16px;
	padding-bottom: 16px;
	text-align: center;
	margin: 0px;
	border: 1px solid #424242;
	border-bottom-left-radius: 27px;
	border-bottom-right-radius: 27px;
}

/* The Close Button */
.close {
  color: white;
  float: right;
  padding-top: 0px;
  padding-right: 25px;
  font-size: 45px;

}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

/* Clear floats */
.clearfix::after {
  content: "";
  clear: both;
  display: table;
}

@media only screen and (orientation: portrait) {

.arrow {
	top: 45px;
}

#results_button, #rules_button {
  margin-top: 40px; 
}

.practice {
  margin-top: 40px;
}

.instruction_container {
	margin-bottom: 50px;
}

.btm-buttons {
	display: block;
	border: 0px solid red;
	height: 90px;
}

.row_button {
	margin-top: 0px;
	height: 90px;
	width: 40px;
	padding: 5px;
	padding-top: 20px;
}

#btm-coin_btn, .btm-coin_button {
	width: 96px;
	height: 40px;
	font-weight: bold;
	border: 1px solid black;
	color: black;
	display: inline-block;
	float: left;
	margin: 10px;
	margin-top: 20px;
	margin-bottom: 10px;
	text-align: center;
	border-radius: 15px;
	padding-top: 5px;
	display: none;
        transition-duration: 0.4s;
}

.btm-blank_space {
	width: 99px;
	height: 38px;
	border: 0px solid blue;
	display: inline-block;
	float: left;
	display: block;
}

#instruction {
	padding-top: 60px;
}

#confirm_button, #undo_button {
	margin-top: 50px;

}

.horizontal_space {
	height: 100px;
}

.modal-content {
	width: 60%;
}

.modal-content_stats {
	width: 60%;
}

.coincontainer {
	padding-top: 10px;
	padding-left: 4px;
	padding-right: 4px;
	height: 96px;
	width: 96px;
	margin: 10px;
	margin-bottom: 20px;
}

.square {
	width: 96px;
	height: 96px;
	margin: 10px;
	margin-bottom: 20px;
}

.blank_space {
	width: auto;
	margin-bottom: 60px;
}



#coin_btn, .coin_button {
	display: none;	
}

.coin_button_blank {
	display: none;	
}

#player1_button, #player2_button {
	margin_top: 0px;
	margin-left: 38px;
	margin-right: 38px;
}
}

@media only screen and (max-width: 600px) {
h1 {
	font-size: 24px;
}

h2 {
	font-size: 24px;
}

.arrow {
	top: 25px;
	left: 25px;
	border-width: 0 3px 3px 0;
	padding: 6px;
}

.title_container {
	height:10%;
	font-size: 26px;
}

.vertical-center, .vertical-centerPM {
	left: 55px;
}

#results_button, #rules_button {
  padding-bottom: 5px;
  font-size: 16px;
  margin-top: 15px;
  margin-right: 15px;
}

.practice {
  display: none;
}
.pm {
  padding-bottom: 5px;
  font-size: 16px;
  margin-top: 15px;
  margin-right: 15px;
}

.instruction_container {
	height: 80px;
	margin-bottom: 10px;
	border: 0px solid red;
	padding-left: 10px;
	padding-right: 10px;
}

#instruction {
	margin-top: 10px;
	padding: 4px;
	font-size: 16px;
}

#confirm_button, .confirm_button {
  	font-size: 16px;
  	padding: 5px;
   	border-radius: 10px;
	margin-top: 30px;
	margin-right: 4px;
}

.row_button {
	margin-bottom: 18px;
	height: 40px;
	width: 30px;
	text-align: center;
	padding-top: 5px;
	font-size: 12px;
	margin-left: 8px;
	margin-right: 5px;
	border-radius: 8px;
}

#undo_button,  .undo_button  {
  	font-size: 16px;
  	padding: 5px;
  	border-radius: 10px;
	margin-top: 30px;
	margin-left: 4px;
}

.btm-buttons {
	display: block;
	border: 0px solid red;
	height: 30px;
	font-size: 14px;
}

#btm-coin_btn, .btm-coin_button {
	width: 30px;
	height: 30px;
	border: 1px solid black;
	color: black;
	display: inline-block;
	float: left;
	margin: 10px;
	margin-top: 0px;
	margin-bottom: 0px;
	text-align: center;
	border-radius: 10px;
	padding-top: 5px;
	display: none;
        transition-duration: 0.4s;
}

.btm-blank_space {
	width: 60px;
	height: 30px;
	border: 0px solid blue;
	display: inline-block;
	float: left;
	display: block;
}

.horizontal_space {
	height: 5px;
}

.modal-header_stats, .modal-footer {
	font-size: 20px;
}

.modal-headerfc {
	font-size: 14pt;
	padding-top: 5px;
	padding-bottom: 5px;
	margin-top: 0px;
}

.modal-content {
	margin: 15% auto 30% auto;
	width: 60%;
	font-size: 14px;
}

.winner {
	font-size: 40px;
}

.side {
	margin: 0px;
}

#call {
	font: size: 12px;
	padding-top: 10px;
	padding-bottom: 10px;
}

.continuebtn, .flipbtn, .gamebtn {
  width: 60%;
  font-size: 18px;
}

 .tailsbtn, .headsbtn {
  width: 45%;
  font-size: 18px;
}

.modal-content_stats {
	width: 60%;
}

.coincontainer {
	padding-top: 0px;
	padding-left: 0px;
	padding-right: 0px;
	height: 42px;
	width: 42px;
	margin: 4px;
	margin-bottom: 25px;
}

.square {
	width: 42px;
	height: 42px;
	margin: 4px;
	margin-bottom: 25px;
}

.blank_space {
	display: none;
}

#coin_btn, .coin_button {
	display: none;	
}

.coin_button_blank {
	display: none;	
}

#player1_button  {
	font-size: 14px;
	padding: 5px 5px;
	border: 3px solid #D8D8D8;
	border-radius: 10px;
	margin-left: 0px;
	margin-right: 0px;
	margin-top: 10px;
}

 #player2_button {
	font-size: 14px;
	padding: 5px 10px;
	border: 3px solid #D8D8D8;
	border-radius: 15px;
	margin-left: 0px;
	margin-right: 0px;
	margin-top: 20px;
}

.start_button {
	font-size: 20px;
	padding: 5px 15px;
	border: none;
	border-radius: 10px;
	margin-top: 20px;
	width: 75px;
}

.resign_button {
	font-size: 16px;
	padding: 5px 15px;
	border-radius: 10px;
	background-color: #848484;
	margin-top: 10px;
}
}


@media only screen and (min-width: 916px) {
	.body_container {
	max-height: 650px;
}

.pm {
	display: none;
}
}

@media only screen and (min-width: 916px) and (max-width: 959px) {
.page_container {
	position: fixed; /* Stay in place */
	border: 0px solid green;
	width: 100%;
	height: 100%;
	margin: 0;
  	top: 0;
	left: 0;
	background-color: black;
}
}
